/*
 * $Header: /home/gene/src/lisp-script/src/RCS/test0002.c,v 1.1 2004/03/25 09:20:28 gene Exp $
 */

/*
 * Copyright (c) 2004.  Gene Michael Stover.  All rights reserved.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * Tests function IO_IsDirectory.
 */

#include "this.h"

int
main ()
{
  int rc = 0;

  if (!IO_IsDirectory ("./src")) {
    fprintf (stderr, "\n%s:%d: error:", __FILE__, __LINE__);
    fprintf (stderr, " indicates ./src is not a directory");
    rc = 3;
  }
  if (IO_IsDirectory ("Makefile")) {
    fprintf (stderr, "\n%s:%d: error:", __FILE__, __LINE__);
    fprintf (stderr, " indicates that Makefile is a directory");
    rc = -21;
  }
  return rc == 0 ? EXIT_SUCCESS : EXIT_FAILURE;
}

/* --- end of file --- */
