dnl
dnl $Header: /home/gene/src/tigris/RCS/ctiggyr.m4,v 3.1 2003/05/21 04:35:05 gene Exp $
dnl
dnl Copyright (C) 1999  Gene Michael Stover
dnl 
dnl This library is free software; you can redistribute it
dnl and/or modify it under the terms of version 2.1 of the GNU
dnl General Public License as published by the Free
dnl Software Foundation.
dnl 
dnl This library is distributed in the hope that it will be
dnl useful, but WITHOUT ANY WARRANTY; without even the implied
dnl warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
dnl PURPOSE.  See the GNU General Public License for more
dnl details.
dnl 
dnl You should have received a copy of the GNU General
dnl Public License along with this library; if not, write to the
dnl Free Software Foundation, Inc., 59 Temple Place, Suite 330,
dnl Boston, MA 02111-1307 USA
dnl
dnl By Gene Michael Stover
dnl Saturday, 6 October 2001
dnl

dnl
dnl CTIGGYR_LIST_PROGS(envvar, prefix)
dnl
AC_DEFUN(CTIGGYR_LIST_PROGS,
[
#
# CTIGGYR_LIST_PROGS($1, $2) begin
#
    AC_MSG_CHECKING(for $2 programs)
    tmpfile=tmp/ctiggyr-list-progs-$1-$$
changequote(`,') dnl change m4's quote character
    ls -1 src/$2????.* 2>/dev/null |sed -e "\\@src/$2.*~@d" -e "\\@src/[*]@d" -e "s@src/$2\([0-9][0-9][0-9][0-9]\)[.].*@bin/$2\1@" >$tmpfile
changequote([,]) dnl change m4's quote character
    $1=`tr \\\n " " <$tmpfile`
    AC_MSG_RESULT(`wc -l <$tmpfile`)
    AC_SUBST($1)
    rm $tmpfile >/dev/null 2>&1
#
# CTIGGYR_LIST_PROGS($1, $2) end
#
])

dnl
dnl CTIGGYR_VERSION()
dnl
AC_DEFUN(CTIGGYR_VERSION,
[
#
# CTIGGYR_VERSION begin
#
    AC_MSG_CHECKING(for version)
    if test -f ./version
    then
        VERSION=`cat ./version`
    else
        VERSION=0.0
    fi
    AC_MSG_RESULT($VERSION)
    AC_SUBST(VERSION)
#
# CTIGGYR_VERSION end
#
])

dnl --- end of file ---
