/*
 * $Header: /home/gene/src/lisp-script/src/RCS/this.h,v 1.5 2004/04/06 07:45:22 gene Exp $
 */
/*
 * Copyright (c) 2004.  Gene Michael Stover.  All rights reserved.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Standard C */
#include <assert.h>
#include <ctype.h>
#include <errno.h>
#include <limits.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

/* Posix */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

/* This */
#include "config.h"
#include "types.h"
#include "io.h"
#include "str.h"
#include "xmalloc.h"

char *LISP_MakeCommand (/* lisp_pathname, script_pathname */);
void LISP_WriteBeginning (/* fp */);
void LISP_WriteEnding (/* fp */);

/* --- end of file --- */
